import numpy as np


FUTURE_FOLDER = r'F:\Dataset_3D-FRONT\3D-FUTURE-model'
FLOOR_FOLDER = r'F:\Dataset_3D-FRONT\Unity-floor'


GROUPS = {
    "Sleeping": 0,
    "Relaxing": 1,
    "BedWatchingTV": 2,
    "Lighting": 3,
    "Dressing": 4,
    "ClothStorage": 5,
    "BookStorage": 6,
    "ShelfStorage": 7,
    "KitchenStorage": 8,
    "WatchingTV": 9,
    "Working": 10,
    "Eating": 11
}

np.random.seed(2022)
GROUP_COLOR = np.random.rand(12, 3)
GROUP_EDGE_COLOR = np.random.rand(144, 3)
SEMANTICS_COLOR = np.random.rand(27, 3)

CATEGORIES = {
    "King-size Bed": "Bed",
    "Wardrobe": "Wardrobe",
    "Nightstand": "Nightstand",
    "Wine Cabinet": "Cabinet",
    "Ceiling Lamp": "CeilingLamp",
    "Single bed": "Bed",
    "TV Stand": "TVStand",
    "Bookcase / jewelry Armoire": "Bookcase",
    "Shelf": "Shelf",
    "Lounge Chair / Cafe Chair / Office Chair": "Chair",
    "Desk": "Desk",
    "Pendant Lamp": "PendantLamp",
    "Footstool / Sofastool / Bed End Stool / Stool": "Stool",
    "Drawer Chest / Corner cabinet": "Cabinet",
    "Coffee Table": "Table",
    "Floor Lamp": "Lamp",
    "armchair": "Armchair",
    "Sideboard / Side Cabinet / Console Table": "Cabinet",
    "Dressing Table": "DressingTable",
    "Dressing Chair": "DressingChair",
    "Corner/Side Table": "Table",
    "Dining Chair": "Chair",
    "Kids Bed": "KidsBed",
    "Children Cabinet": "Cabinet",
    "Loveseat Sofa": "LoveseatSofa",
    "Barstool": "Stool",
    "Classic Chinese Chair": "Chair",
    "Three-Seat / Multi-seat Sofa": "MultiSeatSofa",
    "Double Bed": "Bed",
    "Bunk Bed": "Bed",
    "Dining Table": "Table",
    "Lazy Sofa": "LazySofa",
    "Three-Seat / Multi-person sofa": "MultiSeatSofa",
    "Round End Table": "Table",
    "Sideboard / Side Cabinet / Console": "Cabinet",
    "Wall Lamp": "WallLamp",
    "Wine Cooler": "WineCabinet",
    "Bed Frame": "Bed",
    "Lounge Chair / Book-chair / Computer Chair": "Chair",
    "Folding chair": "Chair",
    "Couch Bed": "Bed",
    "Shoe Cabinet": "Cabinet",
    "Tea Table": "Table",
    "Chaise Longue Sofa": "Sofa",
    "Bar": "Bar",
    "L-shaped Sofa": "LSofa",
    "Hanging Chair": "Chair",
    "Two-seat Sofa": "MultiSeatSofa",
    "U-shaped Sofa": "USofa",
}


# 0-26: object category
SEMANTICS = {
    'Bed': 0,
    'Wardrobe': 1,
    'Nightstand': 2,
    'Cabinet': 3,
    'CeilingLamp': 4,
    'TVStand': 5,
    'Bookcase': 6,
    'Shelf': 7,
    'Chair': 8,
    'Desk': 9,
    'PendantLamp': 10,
    'Stool': 11,
    'Table': 12,
    'Lamp': 13,
    'Armchair': 14,
    'DressingTable': 15,
    'DressingChair': 16,
    'KidsBed': 17,
    'LoveseatSofa': 18,
    'MultiSeatSofa': 19,
    'LazySofa': 20,
    'WallLamp': 21,
    'WineCabinet': 22,
    'Sofa': 23,
    'Bar': 24,
    'LSofa': 25,
    'USofa': 26
}
