# Example Code for BMVC submission 231.

The example code is tested on Windows10 platform with python 3.6, pytorch 1.8, cuda 11.1.

## Dataset Requirements
- The dataset folder can be downloaded from: https://drive.google.com/file/d/15DAyAdIylhwC3JUTFGkeSWvlnNIMdUbi/view?usp=share_link. Please download this file after obtaining the licence of the 3D-Front dataset. Release the zip and replace the "dataset empty" folder in this directory.
- 3D-Future dataset model files with path: F:\Dataset_3D-FRONT\3D-FUTURE-model
- Floor mesh obj folder "Unity-floor" with path: F:\Dataset_3D-FRONT\Unity-floor

These pathes are required by the code and the json data files. The 3D-FUTURE-model can be downloaded from the official website of the 3D-Front dataset. The Unity-floor folder can be downloaded from: https://drive.google.com/file/d/11-QuBDtAfuMWHqNdqO8DQXqPKl3vBcfB/view?usp=share_link.

## Dependency
- python=3.6
- pytorch=1.8.1+cu111
- scipy
- numpy
- opencv-python
- vedo
- tqdm
- json

## Run
- Run the "train_proposenet.py" file to train the ProposeNet.
- Run the "train_completenet.py" file to train the CompleteNet.
- Test the models by modify the "address_list" variables in the "eval_completenet_vae.py" and the "eval_proposenet.py". Please use the timestamp folder name in the "log" folder to replace the string "xxxx".
- The "script_scene_generation_opt_user.py" has every necessary component to generate scenes. It might need the trained models to execute its functionalities.
